Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Contact Center

Added new engagements APIs, webhook events, and new request and response fields to existing Dispositions APIs

API release

Summary:Added new engagements APIs and webhook event, new request and response fields to dispositions

Added

  • New Engagements APIs:
    • PUT /v2/contact_center/engagements/{engagementId}/recording/{command}
    • GET /v2/contact_center/engagements/{engagementId}/recordings/status
  • New webhook webhook event:
    • contact_center.voicemail_transcript_completed

Changed

  • New disposition_type, sub_dispositions request fields in these Dispositions APIs:
    • PATCH /v2/contact_center/dispositions/{dispositionId}
    • POST /v2/contact_center/dispositions
  • New disposition_type response field in these Dispositions APIs:
    • POST /v2/contact_center/dispositions
    • GET /v2/contact_center/dispositions/{dispositionId}
    • GET /v2/contact_center/dispositions
  • New sub_dispositions response field in this Dispositions API:
    • GET /v2/contact_center/dispositions/{dispositionId}